﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WebServices.B1IFActivityService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Name="ipostep_vP.001sap0003.in_WCSX_com.sap.b1i.vplatform.runtime_INB_WS_CALL_SYNC_XPT_" +
        "INB_WS_CALL_SYNC_XPT.ipo_proc", Namespace="urn:ipostep_vP.001sap0003.in_WCSX_com.sap.b1i.vplatform.runtime_INB_WS_CALL_SYNC_" +
        "XPT_INB_WS_CALL_SYNC_XPT.ipo_proc", ConfigurationName="B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_" +
        "CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc")]
    public interface ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc {
        
        // CODEGEN: Generating message contract since the operation ARGNS.AddAct is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFActivityService.ARGNSAddActResponse ARGNSAddAct(WebServices.B1IFActivityService.ARGNSAddActRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSAddActResponse> ARGNSAddActAsync(WebServices.B1IFActivityService.ARGNSAddActRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetActById is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFActivityService.ARGNSGetActByIdResponse ARGNSGetActById(WebServices.B1IFActivityService.ARGNSGetActByIdRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActByIdResponse> ARGNSGetActByIdAsync(WebServices.B1IFActivityService.ARGNSGetActByIdRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetActList is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFActivityService.ARGNSGetActListResponse ARGNSGetActList(WebServices.B1IFActivityService.ARGNSGetActListRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActListResponse> ARGNSGetActListAsync(WebServices.B1IFActivityService.ARGNSGetActListRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetActListSch is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFActivityService.ARGNSGetActListSchResponse ARGNSGetActListSch(WebServices.B1IFActivityService.ARGNSGetActListSchRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActListSchResponse> ARGNSGetActListSchAsync(WebServices.B1IFActivityService.ARGNSGetActListSchRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetActTypeList is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFActivityService.ARGNSGetActTypeListResponse ARGNSGetActTypeList(WebServices.B1IFActivityService.ARGNSGetActTypeListRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActTypeListResponse> ARGNSGetActTypeListAsync(WebServices.B1IFActivityService.ARGNSGetActTypeListRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.UpdateAct is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFActivityService.ARGNSUpdateActResponse ARGNSUpdateAct(WebServices.B1IFActivityService.ARGNSUpdateActRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSUpdateActResponse> ARGNSUpdateActAsync(WebServices.B1IFActivityService.ARGNSUpdateActRequest request);
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class AddActType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private AddActTypeXmlToAdd xmlToAddField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public AddActTypeXmlToAdd XmlToAdd {
            get {
                return this.xmlToAddField;
            }
            set {
                this.xmlToAddField = value;
                this.RaisePropertyChanged("XmlToAdd");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class AddActTypeXmlToAdd : object, System.ComponentModel.INotifyPropertyChanged {
        
        private AddActTypeXmlToAddActivity activityField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public AddActTypeXmlToAddActivity Activity {
            get {
                return this.activityField;
            }
            set {
                this.activityField = value;
                this.RaisePropertyChanged("Activity");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class AddActTypeXmlToAddActivity : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string cardCodeField;
        
        private string startDateField;
        
        private string endDueDateField;
        
        private string activityField;
        
        private string activityTypeField;
        
        private string subjectField;
        
        private string notesField;
        
        private string detailsField;
        
        private string priorityField;
        
        private string closedField;
        
        private string inactiveFlagField;
        
        private string handledByField;
        
        private string handledByEmployeeField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string CardCode {
            get {
                return this.cardCodeField;
            }
            set {
                this.cardCodeField = value;
                this.RaisePropertyChanged("CardCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string StartDate {
            get {
                return this.startDateField;
            }
            set {
                this.startDateField = value;
                this.RaisePropertyChanged("StartDate");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string EndDueDate {
            get {
                return this.endDueDateField;
            }
            set {
                this.endDueDateField = value;
                this.RaisePropertyChanged("EndDueDate");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public string Activity {
            get {
                return this.activityField;
            }
            set {
                this.activityField = value;
                this.RaisePropertyChanged("Activity");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=4)]
        public string ActivityType {
            get {
                return this.activityTypeField;
            }
            set {
                this.activityTypeField = value;
                this.RaisePropertyChanged("ActivityType");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=5)]
        public string Subject {
            get {
                return this.subjectField;
            }
            set {
                this.subjectField = value;
                this.RaisePropertyChanged("Subject");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=6)]
        public string Notes {
            get {
                return this.notesField;
            }
            set {
                this.notesField = value;
                this.RaisePropertyChanged("Notes");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=7)]
        public string Details {
            get {
                return this.detailsField;
            }
            set {
                this.detailsField = value;
                this.RaisePropertyChanged("Details");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=8)]
        public string Priority {
            get {
                return this.priorityField;
            }
            set {
                this.priorityField = value;
                this.RaisePropertyChanged("Priority");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=9)]
        public string Closed {
            get {
                return this.closedField;
            }
            set {
                this.closedField = value;
                this.RaisePropertyChanged("Closed");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=10)]
        public string InactiveFlag {
            get {
                return this.inactiveFlagField;
            }
            set {
                this.inactiveFlagField = value;
                this.RaisePropertyChanged("InactiveFlag");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=11)]
        public string HandledBy {
            get {
                return this.handledByField;
            }
            set {
                this.handledByField = value;
                this.RaisePropertyChanged("HandledBy");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=12)]
        public string HandledByEmployee {
            get {
                return this.handledByEmployeeField;
            }
            set {
                this.handledByEmployeeField = value;
                this.RaisePropertyChanged("HandledByEmployee");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class UpdateActResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private object updateActResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public object UpdateActResult {
            get {
                return this.updateActResultField;
            }
            set {
                this.updateActResultField = value;
                this.RaisePropertyChanged("UpdateActResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class UpdateActType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string activityCodeField;
        
        private UpdateActTypeXmlToUpdate xmlToUpdateField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string ActivityCode {
            get {
                return this.activityCodeField;
            }
            set {
                this.activityCodeField = value;
                this.RaisePropertyChanged("ActivityCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public UpdateActTypeXmlToUpdate XmlToUpdate {
            get {
                return this.xmlToUpdateField;
            }
            set {
                this.xmlToUpdateField = value;
                this.RaisePropertyChanged("XmlToUpdate");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class UpdateActTypeXmlToUpdate : object, System.ComponentModel.INotifyPropertyChanged {
        
        private UpdateActTypeXmlToUpdateActivity activityField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public UpdateActTypeXmlToUpdateActivity Activity {
            get {
                return this.activityField;
            }
            set {
                this.activityField = value;
                this.RaisePropertyChanged("Activity");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
    public partial class UpdateActTypeXmlToUpdateActivity : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string activityCodeField;
        
        private string cardCodeField;
        
        private string startDateField;
        
        private string endDueDateField;
        
        private string activityField;
        
        private string activityTypeField;
        
        private string subjectField;
        
        private string notesField;
        
        private string detailsField;
        
        private string priorityField;
        
        private string closedField;
        
        private string inactiveFlagField;
        
        private string handledByField;
        
        private string handledByEmployeeField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string ActivityCode {
            get {
                return this.activityCodeField;
            }
            set {
                this.activityCodeField = value;
                this.RaisePropertyChanged("ActivityCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string CardCode {
            get {
                return this.cardCodeField;
            }
            set {
                this.cardCodeField = value;
                this.RaisePropertyChanged("CardCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string StartDate {
            get {
                return this.startDateField;
            }
            set {
                this.startDateField = value;
                this.RaisePropertyChanged("StartDate");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public string EndDueDate {
            get {
                return this.endDueDateField;
            }
            set {
                this.endDueDateField = value;
                this.RaisePropertyChanged("EndDueDate");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=4)]
        public string Activity {
            get {
                return this.activityField;
            }
            set {
                this.activityField = value;
                this.RaisePropertyChanged("Activity");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=5)]
        public string ActivityType {
            get {
                return this.activityTypeField;
            }
            set {
                this.activityTypeField = value;
                this.RaisePropertyChanged("ActivityType");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=6)]
        public string Subject {
            get {
                return this.subjectField;
            }
            set {
                this.subjectField = value;
                this.RaisePropertyChanged("Subject");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=7)]
        public string Notes {
            get {
                return this.notesField;
            }
            set {
                this.notesField = value;
                this.RaisePropertyChanged("Notes");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=8)]
        public string Details {
            get {
                return this.detailsField;
            }
            set {
                this.detailsField = value;
                this.RaisePropertyChanged("Details");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=9)]
        public string Priority {
            get {
                return this.priorityField;
            }
            set {
                this.priorityField = value;
                this.RaisePropertyChanged("Priority");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=10)]
        public string Closed {
            get {
                return this.closedField;
            }
            set {
                this.closedField = value;
                this.RaisePropertyChanged("Closed");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=11)]
        public string InactiveFlag {
            get {
                return this.inactiveFlagField;
            }
            set {
                this.inactiveFlagField = value;
                this.RaisePropertyChanged("InactiveFlag");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=12)]
        public string HandledBy {
            get {
                return this.handledByField;
            }
            set {
                this.handledByField = value;
                this.RaisePropertyChanged("HandledBy");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=13)]
        public string HandledByEmployee {
            get {
                return this.handledByEmployeeField;
            }
            set {
                this.handledByEmployeeField = value;
                this.RaisePropertyChanged("HandledByEmployee");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetActTypeListResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetActTypeListResponseTypeRow[] getActTypeListResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetActTypeListResponseTypeRow[] GetActTypeListResult {
            get {
                return this.getActTypeListResultField;
            }
            set {
                this.getActTypeListResultField = value;
                this.RaisePropertyChanged("GetActTypeListResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetActTypeListResponseTypeRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string codeField;
        
        private string nameField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
                this.RaisePropertyChanged("Code");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Name {
            get {
                return this.nameField;
            }
            set {
                this.nameField = value;
                this.RaisePropertyChanged("Name");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetActTypeListType : object, System.ComponentModel.INotifyPropertyChanged {
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetActListSchResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetActListSchResponseTypeGetActListSchResult getActListSchResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public GetActListSchResponseTypeGetActListSchResult GetActListSchResult {
            get {
                return this.getActListSchResultField;
            }
            set {
                this.getActListSchResultField = value;
                this.RaisePropertyChanged("GetActListSchResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetActListSchResponseTypeGetActListSchResult : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetActListSchResponseTypeGetActListSchResultRow[] activitiesField;
        
        private GetActListSchResponseTypeGetActListSchResultRow1[] userField;
        
        private GetActListSchResponseTypeGetActListSchResultRow2[] employeeField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetActListSchResponseTypeGetActListSchResultRow[] Activities {
            get {
                return this.activitiesField;
            }
            set {
                this.activitiesField = value;
                this.RaisePropertyChanged("Activities");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=1)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetActListSchResponseTypeGetActListSchResultRow1[] User {
            get {
                return this.userField;
            }
            set {
                this.userField = value;
                this.RaisePropertyChanged("User");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=2)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetActListSchResponseTypeGetActListSchResultRow2[] Employee {
            get {
                return this.employeeField;
            }
            set {
                this.employeeField = value;
                this.RaisePropertyChanged("Employee");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetActListSchResponseTypeGetActListSchResultRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string clgCodeField;
        
        private string actionField;
        
        private string attendUserField;
        
        private string attendEmplField;
        
        private string cardCodeField;
        
        private string cardNameField;
        
        private string recontactField;
        
        private string endDateField;
        
        private string u_ARGNS_PRDCODEField;
        
        private string modelNameField;
        
        private string u_ARGNS_PROYECTField;
        
        private string modelImageField;
        
        private string notesField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string ClgCode {
            get {
                return this.clgCodeField;
            }
            set {
                this.clgCodeField = value;
                this.RaisePropertyChanged("ClgCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string Action {
            get {
                return this.actionField;
            }
            set {
                this.actionField = value;
                this.RaisePropertyChanged("Action");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string AttendUser {
            get {
                return this.attendUserField;
            }
            set {
                this.attendUserField = value;
                this.RaisePropertyChanged("AttendUser");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string AttendEmpl {
            get {
                return this.attendEmplField;
            }
            set {
                this.attendEmplField = value;
                this.RaisePropertyChanged("AttendEmpl");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string CardCode {
            get {
                return this.cardCodeField;
            }
            set {
                this.cardCodeField = value;
                this.RaisePropertyChanged("CardCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=5)]
        public string CardName {
            get {
                return this.cardNameField;
            }
            set {
                this.cardNameField = value;
                this.RaisePropertyChanged("CardName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=6)]
        public string Recontact {
            get {
                return this.recontactField;
            }
            set {
                this.recontactField = value;
                this.RaisePropertyChanged("Recontact");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=7)]
        public string endDate {
            get {
                return this.endDateField;
            }
            set {
                this.endDateField = value;
                this.RaisePropertyChanged("endDate");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=8)]
        public string U_ARGNS_PRDCODE {
            get {
                return this.u_ARGNS_PRDCODEField;
            }
            set {
                this.u_ARGNS_PRDCODEField = value;
                this.RaisePropertyChanged("U_ARGNS_PRDCODE");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=9)]
        public string ModelName {
            get {
                return this.modelNameField;
            }
            set {
                this.modelNameField = value;
                this.RaisePropertyChanged("ModelName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=10)]
        public string U_ARGNS_PROYECT {
            get {
                return this.u_ARGNS_PROYECTField;
            }
            set {
                this.u_ARGNS_PROYECTField = value;
                this.RaisePropertyChanged("U_ARGNS_PROYECT");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=11)]
        public string ModelImage {
            get {
                return this.modelImageField;
            }
            set {
                this.modelImageField = value;
                this.RaisePropertyChanged("ModelImage");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=12)]
        public string Notes {
            get {
                return this.notesField;
            }
            set {
                this.notesField = value;
                this.RaisePropertyChanged("Notes");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetActListSchResponseTypeGetActListSchResultRow1 : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string uSERIDField;
        
        private string u_NAMEField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string USERID {
            get {
                return this.uSERIDField;
            }
            set {
                this.uSERIDField = value;
                this.RaisePropertyChanged("USERID");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string U_NAME {
            get {
                return this.u_NAMEField;
            }
            set {
                this.u_NAMEField = value;
                this.RaisePropertyChanged("U_NAME");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetActListSchResponseTypeGetActListSchResultRow2 : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string empIDField;
        
        private string firstNameField;
        
        private string lastNameField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string empID {
            get {
                return this.empIDField;
            }
            set {
                this.empIDField = value;
                this.RaisePropertyChanged("empID");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string firstName {
            get {
                return this.firstNameField;
            }
            set {
                this.firstNameField = value;
                this.RaisePropertyChanged("firstName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string lastName {
            get {
                return this.lastNameField;
            }
            set {
                this.lastNameField = value;
                this.RaisePropertyChanged("lastName");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetActListSchType : object, System.ComponentModel.INotifyPropertyChanged {
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetActListResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetActListResponseTypeRow[] getActListResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetActListResponseTypeRow[] GetActListResult {
            get {
                return this.getActListResultField;
            }
            set {
                this.getActListResultField = value;
                this.RaisePropertyChanged("GetActListResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetActListResponseTypeRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string clgCodeField;
        
        private string cardCodeField;
        
        private string notesField;
        
        private string recontactField;
        
        private string endDateField;
        
        private string closedField;
        
        private string inactiveField;
        
        private string attendUserField;
        
        private string actionField;
        
        private string detailsField;
        
        private string cntctTypeField;
        
        private string priorityField;
        
        private string cntctSbjctField;
        
        private string cardNameField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string ClgCode {
            get {
                return this.clgCodeField;
            }
            set {
                this.clgCodeField = value;
                this.RaisePropertyChanged("ClgCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string CardCode {
            get {
                return this.cardCodeField;
            }
            set {
                this.cardCodeField = value;
                this.RaisePropertyChanged("CardCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Notes {
            get {
                return this.notesField;
            }
            set {
                this.notesField = value;
                this.RaisePropertyChanged("Notes");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Recontact {
            get {
                return this.recontactField;
            }
            set {
                this.recontactField = value;
                this.RaisePropertyChanged("Recontact");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string endDate {
            get {
                return this.endDateField;
            }
            set {
                this.endDateField = value;
                this.RaisePropertyChanged("endDate");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=5)]
        public string Closed {
            get {
                return this.closedField;
            }
            set {
                this.closedField = value;
                this.RaisePropertyChanged("Closed");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=6)]
        public string inactive {
            get {
                return this.inactiveField;
            }
            set {
                this.inactiveField = value;
                this.RaisePropertyChanged("inactive");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=7)]
        public string AttendUser {
            get {
                return this.attendUserField;
            }
            set {
                this.attendUserField = value;
                this.RaisePropertyChanged("AttendUser");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=8)]
        public string Action {
            get {
                return this.actionField;
            }
            set {
                this.actionField = value;
                this.RaisePropertyChanged("Action");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=9)]
        public string Details {
            get {
                return this.detailsField;
            }
            set {
                this.detailsField = value;
                this.RaisePropertyChanged("Details");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=10)]
        public string CntctType {
            get {
                return this.cntctTypeField;
            }
            set {
                this.cntctTypeField = value;
                this.RaisePropertyChanged("CntctType");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=11)]
        public string Priority {
            get {
                return this.priorityField;
            }
            set {
                this.priorityField = value;
                this.RaisePropertyChanged("Priority");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=12)]
        public string CntctSbjct {
            get {
                return this.cntctSbjctField;
            }
            set {
                this.cntctSbjctField = value;
                this.RaisePropertyChanged("CntctSbjct");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=13)]
        public string CardName {
            get {
                return this.cardNameField;
            }
            set {
                this.cardNameField = value;
                this.RaisePropertyChanged("CardName");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetActListType : object, System.ComponentModel.INotifyPropertyChanged {
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetActByIdResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetActByIdResponseTypeGetActByIdResult getActByIdResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public GetActByIdResponseTypeGetActByIdResult GetActByIdResult {
            get {
                return this.getActByIdResultField;
            }
            set {
                this.getActByIdResultField = value;
                this.RaisePropertyChanged("GetActByIdResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetActByIdResponseTypeGetActByIdResult : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetActByIdResponseTypeGetActByIdResultRow rowField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public GetActByIdResponseTypeGetActByIdResultRow row {
            get {
                return this.rowField;
            }
            set {
                this.rowField = value;
                this.RaisePropertyChanged("row");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetActByIdResponseTypeGetActByIdResultRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string clgCodeField;
        
        private string cardCodeField;
        
        private string notesField;
        
        private string recontactField;
        
        private string endDateField;
        
        private string closedField;
        
        private string inactiveField;
        
        private string attendUserField;
        
        private string actionField;
        
        private string detailsField;
        
        private string cntctTypeField;
        
        private string priorityField;
        
        private string cntctSbjctField;
        
        private string attendEmplField;
        
        private string u_ARGNS_PRDCODEField;
        
        private string u_ARGNS_PROYECTField;
        
        private string cardNameField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string ClgCode {
            get {
                return this.clgCodeField;
            }
            set {
                this.clgCodeField = value;
                this.RaisePropertyChanged("ClgCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string CardCode {
            get {
                return this.cardCodeField;
            }
            set {
                this.cardCodeField = value;
                this.RaisePropertyChanged("CardCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Notes {
            get {
                return this.notesField;
            }
            set {
                this.notesField = value;
                this.RaisePropertyChanged("Notes");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Recontact {
            get {
                return this.recontactField;
            }
            set {
                this.recontactField = value;
                this.RaisePropertyChanged("Recontact");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string endDate {
            get {
                return this.endDateField;
            }
            set {
                this.endDateField = value;
                this.RaisePropertyChanged("endDate");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=5)]
        public string Closed {
            get {
                return this.closedField;
            }
            set {
                this.closedField = value;
                this.RaisePropertyChanged("Closed");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=6)]
        public string inactive {
            get {
                return this.inactiveField;
            }
            set {
                this.inactiveField = value;
                this.RaisePropertyChanged("inactive");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=7)]
        public string AttendUser {
            get {
                return this.attendUserField;
            }
            set {
                this.attendUserField = value;
                this.RaisePropertyChanged("AttendUser");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=8)]
        public string Action {
            get {
                return this.actionField;
            }
            set {
                this.actionField = value;
                this.RaisePropertyChanged("Action");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=9)]
        public string Details {
            get {
                return this.detailsField;
            }
            set {
                this.detailsField = value;
                this.RaisePropertyChanged("Details");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=10)]
        public string CntctType {
            get {
                return this.cntctTypeField;
            }
            set {
                this.cntctTypeField = value;
                this.RaisePropertyChanged("CntctType");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=11)]
        public string Priority {
            get {
                return this.priorityField;
            }
            set {
                this.priorityField = value;
                this.RaisePropertyChanged("Priority");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=12)]
        public string CntctSbjct {
            get {
                return this.cntctSbjctField;
            }
            set {
                this.cntctSbjctField = value;
                this.RaisePropertyChanged("CntctSbjct");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=13)]
        public string AttendEmpl {
            get {
                return this.attendEmplField;
            }
            set {
                this.attendEmplField = value;
                this.RaisePropertyChanged("AttendEmpl");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=14)]
        public string U_ARGNS_PRDCODE {
            get {
                return this.u_ARGNS_PRDCODEField;
            }
            set {
                this.u_ARGNS_PRDCODEField = value;
                this.RaisePropertyChanged("U_ARGNS_PRDCODE");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=15)]
        public string U_ARGNS_PROYECT {
            get {
                return this.u_ARGNS_PROYECTField;
            }
            set {
                this.u_ARGNS_PROYECTField = value;
                this.RaisePropertyChanged("U_ARGNS_PROYECT");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=16)]
        public string CardName {
            get {
                return this.cardNameField;
            }
            set {
                this.cardNameField = value;
                this.RaisePropertyChanged("CardName");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetActByIdType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string clgCodeField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string ClgCode {
            get {
                return this.clgCodeField;
            }
            set {
                this.clgCodeField = value;
                this.RaisePropertyChanged("ClgCode");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class AddActResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private object addActResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public object AddActResult {
            get {
                return this.addActResultField;
            }
            set {
                this.addActResultField = value;
                this.RaisePropertyChanged("AddActResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSAddActRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public WebServices.B1IFActivityService.AddActType AddAct;
        
        public ARGNSAddActRequest() {
        }
        
        public ARGNSAddActRequest(WebServices.B1IFActivityService.AddActType AddAct) {
            this.AddAct = AddAct;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSAddActResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFActivityService.AddActResponseType AddActResponse;
        
        public ARGNSAddActResponse() {
        }
        
        public ARGNSAddActResponse(WebServices.B1IFActivityService.AddActResponseType AddActResponse) {
            this.AddActResponse = AddActResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetActByIdRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFActivityService.GetActByIdType GetActById;
        
        public ARGNSGetActByIdRequest() {
        }
        
        public ARGNSGetActByIdRequest(WebServices.B1IFActivityService.GetActByIdType GetActById) {
            this.GetActById = GetActById;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetActByIdResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFActivityService.GetActByIdResponseType GetActByIdResponse;
        
        public ARGNSGetActByIdResponse() {
        }
        
        public ARGNSGetActByIdResponse(WebServices.B1IFActivityService.GetActByIdResponseType GetActByIdResponse) {
            this.GetActByIdResponse = GetActByIdResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetActListRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFActivityService.GetActListType GetActList;
        
        public ARGNSGetActListRequest() {
        }
        
        public ARGNSGetActListRequest(WebServices.B1IFActivityService.GetActListType GetActList) {
            this.GetActList = GetActList;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetActListResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFActivityService.GetActListResponseType GetActListResponse;
        
        public ARGNSGetActListResponse() {
        }
        
        public ARGNSGetActListResponse(WebServices.B1IFActivityService.GetActListResponseType GetActListResponse) {
            this.GetActListResponse = GetActListResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetActListSchRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFActivityService.GetActListSchType GetActListSch;
        
        public ARGNSGetActListSchRequest() {
        }
        
        public ARGNSGetActListSchRequest(WebServices.B1IFActivityService.GetActListSchType GetActListSch) {
            this.GetActListSch = GetActListSch;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetActListSchResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFActivityService.GetActListSchResponseType GetActListSchResponse;
        
        public ARGNSGetActListSchResponse() {
        }
        
        public ARGNSGetActListSchResponse(WebServices.B1IFActivityService.GetActListSchResponseType GetActListSchResponse) {
            this.GetActListSchResponse = GetActListSchResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetActTypeListRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFActivityService.GetActTypeListType GetActTypeList;
        
        public ARGNSGetActTypeListRequest() {
        }
        
        public ARGNSGetActTypeListRequest(WebServices.B1IFActivityService.GetActTypeListType GetActTypeList) {
            this.GetActTypeList = GetActTypeList;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetActTypeListResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFActivityService.GetActTypeListResponseType GetActTypeListResponse;
        
        public ARGNSGetActTypeListResponse() {
        }
        
        public ARGNSGetActTypeListResponse(WebServices.B1IFActivityService.GetActTypeListResponseType GetActTypeListResponse) {
            this.GetActTypeListResponse = GetActTypeListResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSUpdateActRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="", Order=0)]
        public WebServices.B1IFActivityService.UpdateActType UpdateAct;
        
        public ARGNSUpdateActRequest() {
        }
        
        public ARGNSUpdateActRequest(WebServices.B1IFActivityService.UpdateActType UpdateAct) {
            this.UpdateAct = UpdateAct;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSUpdateActResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFActivityService.UpdateActResponseType UpdateActResponse;
        
        public ARGNSUpdateActResponse() {
        }
        
        public ARGNSUpdateActResponse(WebServices.B1IFActivityService.UpdateActResponseType UpdateActResponse) {
            this.UpdateActResponse = UpdateActResponse;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procChannel : WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient : System.ServiceModel.ClientBase<WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc>, WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc {
        
        public ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient() {
        }
        
        public ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFActivityService.ARGNSAddActResponse WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSAddAct(WebServices.B1IFActivityService.ARGNSAddActRequest request) {
            return base.Channel.ARGNSAddAct(request);
        }
        
        public WebServices.B1IFActivityService.AddActResponseType ARGNSAddAct(WebServices.B1IFActivityService.AddActType AddAct) {
            WebServices.B1IFActivityService.ARGNSAddActRequest inValue = new WebServices.B1IFActivityService.ARGNSAddActRequest();
            inValue.AddAct = AddAct;
            WebServices.B1IFActivityService.ARGNSAddActResponse retVal = ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSAddAct(inValue);
            return retVal.AddActResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSAddActResponse> WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSAddActAsync(WebServices.B1IFActivityService.ARGNSAddActRequest request) {
            return base.Channel.ARGNSAddActAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSAddActResponse> ARGNSAddActAsync(WebServices.B1IFActivityService.AddActType AddAct) {
            WebServices.B1IFActivityService.ARGNSAddActRequest inValue = new WebServices.B1IFActivityService.ARGNSAddActRequest();
            inValue.AddAct = AddAct;
            return ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSAddActAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFActivityService.ARGNSGetActByIdResponse WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetActById(WebServices.B1IFActivityService.ARGNSGetActByIdRequest request) {
            return base.Channel.ARGNSGetActById(request);
        }
        
        public WebServices.B1IFActivityService.GetActByIdResponseType ARGNSGetActById(WebServices.B1IFActivityService.GetActByIdType GetActById) {
            WebServices.B1IFActivityService.ARGNSGetActByIdRequest inValue = new WebServices.B1IFActivityService.ARGNSGetActByIdRequest();
            inValue.GetActById = GetActById;
            WebServices.B1IFActivityService.ARGNSGetActByIdResponse retVal = ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetActById(inValue);
            return retVal.GetActByIdResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActByIdResponse> WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetActByIdAsync(WebServices.B1IFActivityService.ARGNSGetActByIdRequest request) {
            return base.Channel.ARGNSGetActByIdAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActByIdResponse> ARGNSGetActByIdAsync(WebServices.B1IFActivityService.GetActByIdType GetActById) {
            WebServices.B1IFActivityService.ARGNSGetActByIdRequest inValue = new WebServices.B1IFActivityService.ARGNSGetActByIdRequest();
            inValue.GetActById = GetActById;
            return ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetActByIdAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFActivityService.ARGNSGetActListResponse WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetActList(WebServices.B1IFActivityService.ARGNSGetActListRequest request) {
            return base.Channel.ARGNSGetActList(request);
        }
        
        public WebServices.B1IFActivityService.GetActListResponseType ARGNSGetActList(WebServices.B1IFActivityService.GetActListType GetActList) {
            WebServices.B1IFActivityService.ARGNSGetActListRequest inValue = new WebServices.B1IFActivityService.ARGNSGetActListRequest();
            inValue.GetActList = GetActList;
            WebServices.B1IFActivityService.ARGNSGetActListResponse retVal = ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetActList(inValue);
            return retVal.GetActListResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActListResponse> WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetActListAsync(WebServices.B1IFActivityService.ARGNSGetActListRequest request) {
            return base.Channel.ARGNSGetActListAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActListResponse> ARGNSGetActListAsync(WebServices.B1IFActivityService.GetActListType GetActList) {
            WebServices.B1IFActivityService.ARGNSGetActListRequest inValue = new WebServices.B1IFActivityService.ARGNSGetActListRequest();
            inValue.GetActList = GetActList;
            return ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetActListAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFActivityService.ARGNSGetActListSchResponse WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetActListSch(WebServices.B1IFActivityService.ARGNSGetActListSchRequest request) {
            return base.Channel.ARGNSGetActListSch(request);
        }
        
        public WebServices.B1IFActivityService.GetActListSchResponseType ARGNSGetActListSch(WebServices.B1IFActivityService.GetActListSchType GetActListSch) {
            WebServices.B1IFActivityService.ARGNSGetActListSchRequest inValue = new WebServices.B1IFActivityService.ARGNSGetActListSchRequest();
            inValue.GetActListSch = GetActListSch;
            WebServices.B1IFActivityService.ARGNSGetActListSchResponse retVal = ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetActListSch(inValue);
            return retVal.GetActListSchResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActListSchResponse> WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetActListSchAsync(WebServices.B1IFActivityService.ARGNSGetActListSchRequest request) {
            return base.Channel.ARGNSGetActListSchAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActListSchResponse> ARGNSGetActListSchAsync(WebServices.B1IFActivityService.GetActListSchType GetActListSch) {
            WebServices.B1IFActivityService.ARGNSGetActListSchRequest inValue = new WebServices.B1IFActivityService.ARGNSGetActListSchRequest();
            inValue.GetActListSch = GetActListSch;
            return ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetActListSchAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFActivityService.ARGNSGetActTypeListResponse WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetActTypeList(WebServices.B1IFActivityService.ARGNSGetActTypeListRequest request) {
            return base.Channel.ARGNSGetActTypeList(request);
        }
        
        public WebServices.B1IFActivityService.GetActTypeListResponseType ARGNSGetActTypeList(WebServices.B1IFActivityService.GetActTypeListType GetActTypeList) {
            WebServices.B1IFActivityService.ARGNSGetActTypeListRequest inValue = new WebServices.B1IFActivityService.ARGNSGetActTypeListRequest();
            inValue.GetActTypeList = GetActTypeList;
            WebServices.B1IFActivityService.ARGNSGetActTypeListResponse retVal = ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetActTypeList(inValue);
            return retVal.GetActTypeListResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActTypeListResponse> WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetActTypeListAsync(WebServices.B1IFActivityService.ARGNSGetActTypeListRequest request) {
            return base.Channel.ARGNSGetActTypeListAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSGetActTypeListResponse> ARGNSGetActTypeListAsync(WebServices.B1IFActivityService.GetActTypeListType GetActTypeList) {
            WebServices.B1IFActivityService.ARGNSGetActTypeListRequest inValue = new WebServices.B1IFActivityService.ARGNSGetActTypeListRequest();
            inValue.GetActTypeList = GetActTypeList;
            return ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetActTypeListAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFActivityService.ARGNSUpdateActResponse WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSUpdateAct(WebServices.B1IFActivityService.ARGNSUpdateActRequest request) {
            return base.Channel.ARGNSUpdateAct(request);
        }
        
        public WebServices.B1IFActivityService.UpdateActResponseType ARGNSUpdateAct(WebServices.B1IFActivityService.UpdateActType UpdateAct) {
            WebServices.B1IFActivityService.ARGNSUpdateActRequest inValue = new WebServices.B1IFActivityService.ARGNSUpdateActRequest();
            inValue.UpdateAct = UpdateAct;
            WebServices.B1IFActivityService.ARGNSUpdateActResponse retVal = ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSUpdateAct(inValue);
            return retVal.UpdateActResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSUpdateActResponse> WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSUpdateActAsync(WebServices.B1IFActivityService.ARGNSUpdateActRequest request) {
            return base.Channel.ARGNSUpdateActAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFActivityService.ARGNSUpdateActResponse> ARGNSUpdateActAsync(WebServices.B1IFActivityService.UpdateActType UpdateAct) {
            WebServices.B1IFActivityService.ARGNSUpdateActRequest inValue = new WebServices.B1IFActivityService.ARGNSUpdateActRequest();
            inValue.UpdateAct = UpdateAct;
            return ((WebServices.B1IFActivityService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSUpdateActAsync(inValue);
        }
    }
}
